## NMDeviceBridge

NMDeviceBridge

## Functions

const char * | nm_device_bridge_get_hw_address ()
gboolean | nm_device_bridge_get_carrier ()
const GPtrArray * | nm_device_bridge_get_slaves ()

## Properties

gboolean | carrier | Read
gchar * | hw-address | Read
GPtrArray * | slaves | Read

## Types and Values

#define | NM_DEVICE_BRIDGE_HW_ADDRESS
#define | NM_DEVICE_BRIDGE_CARRIER
#define | NM_DEVICE_BRIDGE_SLAVES
| NMDeviceBridge

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMDevice
                ╰── NMDeviceBridge

## Implemented Interfaces

NMDeviceBridge implements GInitable and GAsyncInitable.

## Description

## Functions

### nm_device_bridge_get_hw_address ()

    const char *
    nm_device_bridge_get_hw_address (NMDeviceBridge *device);

Gets the hardware (MAC) address of the NMDeviceBridge

#### Parameters

device | a NMDeviceBridge |

#### Returns

the hardware address. This is the internal string used by the device, and must not be modified.

### nm_device_bridge_get_carrier ()

    gboolean
    nm_device_bridge_get_carrier (NMDeviceBridge *device);

Whether the device has carrier.

#### Parameters

device | a NMDeviceBridge |

#### Returns

`TRUE` if the device has carrier

### nm_device_bridge_get_slaves ()

    const GPtrArray *
    nm_device_bridge_get_slaves (NMDeviceBridge *device);

Gets the devices currently slaved to `device` .

#### Parameters

device | a NMDeviceBridge |

#### Returns

the GPtrArray containing NMDevices that are slaves of `device` . This is the internal copy used by the device, and must not be modified.

[element-type NMDevice]

## Types and Values

### NM_DEVICE_BRIDGE_HW_ADDRESS

    #define NM_DEVICE_BRIDGE_HW_ADDRESS  "hw-address"

### NM_DEVICE_BRIDGE_CARRIER

    #define NM_DEVICE_BRIDGE_CARRIER     "carrier"

### NM_DEVICE_BRIDGE_SLAVES

    #define NM_DEVICE_BRIDGE_SLAVES      "slaves"

### NMDeviceBridge

    typedef struct _NMDeviceBridge NMDeviceBridge;

## Property Details

### The `“carrier”` property

      “carrier”                  gboolean

Whether the device has carrier.

Flags: Read

Default value: FALSE

### The `“hw-address”` property

      “hw-address”               gchar *

The hardware (MAC) address of the device.

Flags: Read

Default value: NULL

### The `“slaves”` property

      “slaves”                   GPtrArray *

The devices slaved to the bridge device.

Element-type: NMDevice

Flags: Read